/***************************************************************************
                          dlgvertraginsert.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgvertraginsert.h"

DlgVertragInsert::DlgVertragInsert(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();

  connect(OK_PushButton,SIGNAL(clicked()),SLOT(slotOKPressed()));
  connect(Cancel_PushButton,SIGNAL(clicked()),SLOT(reject()));
}

DlgVertragInsert::~DlgVertragInsert(){
}

void DlgVertragInsert::slotOKPressed(){

 if ( (getVerfasser()=="") || (getTitel()=="") || (getSchluessel()=="") ||
      (getVertragsnummer()=="") || (getVertragstext()=="") )
  {
   QMessageBox fillit_MessageBox("Dokumentenverwaltung","Bitte fllen Sie alle Felder aus.",
                      QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                      0,0,this,"fillit_MessageBox",TRUE,0);
   fillit_MessageBox.exec();
  }
  else accept();

}

QString DlgVertragInsert::getVerfasser(){
 return Verfasser_LineEdit->text();
}

QString DlgVertragInsert::getTitel(){
 return Titel_LineEdit->text();
}

QString DlgVertragInsert::getSchluessel(){
 return Schluessel_LineEdit->text();
}

QString DlgVertragInsert::getVertragsnummer(){
 return Vertragsnummer_LineEdit->text();
}

bool DlgVertragInsert::getUnterschriftKundeVorhanden(){
 return UnterschriftKundeVorhanden_CheckBox->isChecked();
}

bool DlgVertragInsert::getUnterschriftBankVorhanden(){
 return UnterschriftBankVorhanden_CheckBox->isChecked();
}

QString DlgVertragInsert::getVertragstext(){
 return Vertragstext_MultiLineEdit->text();
}


void DlgVertragInsert::setVerfasser(QString NVerfasser)
{ Verfasser_LineEdit->setText(NVerfasser); }

void DlgVertragInsert::setTitel(QString NTitel)
{ Titel_LineEdit->setText(NTitel); }

void DlgVertragInsert::setSchluessel(QString NSchluessel)
{ Schluessel_LineEdit->setText(NSchluessel); }

void DlgVertragInsert::setVertragsnummer(QString NVertragsnummer)
{ Vertragsnummer_LineEdit->setText(NVertragsnummer); }

void DlgVertragInsert::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ UnterschriftKundeVorhanden_CheckBox->setChecked(NUnterschriftKundeVorhanden); }

void DlgVertragInsert::setUnterschriftBankVorhanden(bool NUnterschriftBankVorhanden)
{ UnterschriftBankVorhanden_CheckBox->setChecked(NUnterschriftBankVorhanden); }

void DlgVertragInsert::setVertragstext(QString NVertragstext)
{ Vertragstext_MultiLineEdit->setText(NVertragstext); }







