/***************************************************************************
                          dokument.cc  -  Implementation Klassse CDokument
                             -------------------                                         
    begin                : Wed Aug 4 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dokument.h"    /* Export des Moduls */


/* Konstruktor */
CDokument::CDokument()
{
 Verfasser="";
 Titel="";
 Schluessel="";
 Erstellungsdatum=LiefereSystemdatum();
 ClassID=Dokument;
}

/* Destruktor */
CDokument::~CDokument()
{
 Free();
}

/* generiert ein neues Dokument und gibt einen Zeiger darauf zurueck */
CDokument* CDokument::Generate() const
{
 CDokument* d;
 
 d=new CDokument;
 return d;
}

/* loescht ein Objekt vom Typ CDokument wieder */
void CDokument::Free()
{
 if (ClassInvariant()==FALSE) return;
 Verfasser="";
 Titel="";
 Schluessel="";
 Erstellungsdatum.setTime_t(0);
}

/* prueft die Klasseninvarianz eines Dokuments */
bool CDokument::ClassInvariant() const
{
 if (Erstellungsdatum > LiefereSystemdatum()) return FALSE;
  else return TRUE;
}

/* kopiert das Objet src in das aktuelle Objekt */
bool CDokument::Copy(CDokument* src)
{
 if (src->ClassInvariant()==FALSE) return FALSE;
 InitDokument(src->Verfasser,src->Titel,src->Schluessel);
 Erstellungsdatum=src->Erstellungsdatum;
 return TRUE;
}

/* vergleicht das aktuelle Objekt mir src */
bool CDokument::EqualValue(CDokument* src) const
{
 if (ClassInvariant()==FALSE) return FALSE;
 if (src->ClassInvariant()==FALSE) return FALSE;

 if (strcmp(Verfasser,src->Verfasser)!=0) return FALSE;
 if (strcmp(Titel,src->Titel)!=0) return FALSE;
 if (strcmp(Schluessel,src->Schluessel)!=0) return FALSE;
 if (Erstellungsdatum!=src->Erstellungsdatum) return FALSE;
 return TRUE;
}

/* initialisiert ein instanziiertes Objekt mit gegebenen Werten */
bool CDokument::InitDokument(QString NVerfasser, QString NTitel, QString NSchluessel)
{
 Free();
 Verfasser=NVerfasser;
 Titel=NTitel;
 Schluessel=NSchluessel;
 Erstellungsdatum=LiefereSystemdatum();
 return TRUE;
}

/* gibt den Verfasser des Dokuments zurueck */
QString CDokument::LiefereVerfasser() const
{
 return Verfasser;
}

/* gibt den Titel des Dokumentes zurueck */
QString CDokument::LiefereTitel() const
{
 return Titel;
}

/* gibt den Schluessel des Dokumentes zurueck */
QString CDokument::LiefereSchluessel() const
{
 return Schluessel;
}

/* gibt das Erstellungsdatum des Dokumentes zurueck */
QDateTime CDokument::LiefereErstellungsdatum() const
{
 return Erstellungsdatum;
}

/* aendert das Erstellungsdatum des Dokumentes in NDatum */
void CDokument::AendereErstellungsdatum(QDateTime NDatum)
{
 Erstellungsdatum=NDatum;
}

/* gibt das aktuelle Systemdatum zurueck */
QDateTime CDokument::LiefereSystemdatum() const
{
 return QDateTime::currentDateTime();
}

/* liefert den Klassentyp des Objektes */
TClassID CDokument::LiefereClassID() const
{
return ClassID;
}

/* aendert den Klassentyp des Objektes in NClassID */
void CDokument::AendereClassID(TClassID NClassID)
{
ClassID=NClassID;
}


bool CDokument::readData(QDataStream* stream)
{
 *stream >> Verfasser;
 *stream >> Titel;
 *stream >> Schluessel;
 *stream >> Erstellungsdatum;
 return true;
}

bool CDokument::writeData(QDataStream* stream) const
{
 *stream << Verfasser;
 *stream << Titel;
 *stream << Schluessel;
 *stream << Erstellungsdatum;
 return true;
}










